## org.gnu.gdk
Class FillRule

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.FillRule

public class FillRule
extends org.gnu.glib.Enum

Field Summary
`static FillRule` `EVEN_ODD` areas which are overlapped an odd number of times are included in the region, while areas overlapped an even number of times are not.
`static FillRule` `WINDING` overlapping areas are always included.

Method Summary
`FillRule` `and(FillRule other)`
`static FillRule` `intern(int value)`
`FillRule` `or(FillRule other)`
`boolean` `test(FillRule other)`
`FillRule` `xor(FillRule other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVEN_ODD

    public static final FillRule EVEN_ODD

  areas which are overlapped an odd number of times are included in the region, while areas overlapped an even number of times are not.

### WINDING

    public static final FillRule WINDING

  overlapping areas are always included.

Method Detail

### intern

    public static FillRule intern(int value)

### or

    public FillRule or(FillRule other)

### and

    public FillRule and(FillRule other)

### xor

    public FillRule xor(FillRule other)

### test

    public boolean test(FillRule other)